Bug 1733683 (python-email_validator) - Review Request: python-email_validator - A robust email syntax and deliverability validation library for Python 2.x/3.x
Summary: Review Request: python-email_validator - A robust email syntax and deliverabi...
Keywords:
Status: CLOSED ERRATA
Alias: python-email_validator
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-pydantic 1733680
TreeView+ depends on / blocked
 
Reported: 2019-07-27 10:02 UTC by Susi Lehtola
Modified: 2020-01-24 17:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-16 22:29:48 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Susi Lehtola 2019-07-27 10:02:55 UTC
Spec URL: https://jussilehtola.fedorapeople.org/python-email_validator.spec
SRPM URL: https://jussilehtola.fedorapeople.org/python-email_validator-1.0.4-1.fc30.src.rpm
Fedora Account System Username: jussilehtola

Description: 
A robust email address syntax and deliverability validation library
for Python 2.7/3.4 by Joshua Tauberer.

This library validates that address are of the form x@y.com. This is
the sort of validation you would want for a login form on a website.

Key features:
* Good for validating email addresses used for logins/identity.
* Friendly error messages when validation fails (appropriate to show
  to end users).
* (optionally) Checks deliverability: Does the domain name resolve?
* Supports internationalized domain names and (optionally)
  internationalized local parts.
* Normalizes email addresses (super important for internationalized
  addresses! see below).

Comment 1 Robert-André Mauchin 2019-07-27 16:03:24 UTC
 - Just use:


License:        CC0


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 8 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/python-
     email_validator/review-python-email_validator/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-email_validator-1.0.4-1.fc31.noarch.rpm
          python-email_validator-1.0.4-1.fc31.src.rpm
python3-email_validator.noarch: W: spelling-error Summary(en_US) deliverability -> deliver ability, deliver-ability, venerability
python3-email_validator.noarch: W: spelling-error %description -l en_US deliverability -> deliver ability, deliver-ability, venerability
python3-email_validator.noarch: W: spelling-error %description -l en_US logins -> losing, login, loins
python3-email_validator.noarch: W: invalid-license copyright waived
python3-email_validator.noarch: W: no-manual-page-for-binary email_validator
python-email_validator.src: W: spelling-error Summary(en_US) deliverability -> deliver ability, deliver-ability, venerability
python-email_validator.src: W: spelling-error %description -l en_US deliverability -> deliver ability, deliver-ability, venerability
python-email_validator.src: W: spelling-error %description -l en_US logins -> losing, login, loins
python-email_validator.src: W: invalid-license copyright waived
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 2 Fabian Affolter 2020-01-06 19:49:54 UTC
Sorry to bypass this request but this is a requirement I need now. See 1787419

*** This bug has been marked as a duplicate of bug 1787419 ***

Comment 3 Susi Lehtola 2020-01-06 20:25:09 UTC
*** Bug 1787419 has been marked as a duplicate of this bug. ***

Comment 4 Susi Lehtola 2020-01-06 20:29:25 UTC
Sorry, I seem to have missed that the review was approved. Package coming up straight away.

Comment 5 Susi Lehtola 2020-01-06 20:33:28 UTC
@Robert thanks for the speedy review!

Updated package

Spec URL: https://jussilehtola.fedorapeople.org/python-email_validator.spec
SRPM URL: https://jussilehtola.fedorapeople.org/python-email_validator-1.0.5-1.fc31.src.rpm

Comment 6 Susi Lehtola 2020-01-06 20:33:51 UTC
@Fabian feel free to apply for comaintainership.

Comment 7 Robert-André Mauchin 2020-01-07 00:22:25 UTC
LGTM, refreshing the flag because it's older than two months and Gwyn will refuse it.

Comment 8 Fabian Affolter 2020-01-07 07:43:39 UTC
It seems to be the same package as 1787419 which a different name.

Comment 9 Fedora Update System 2020-01-07 07:52:57 UTC
FEDORA-2020-f147077561 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f147077561

Comment 10 Fedora Update System 2020-01-07 07:57:23 UTC
FEDORA-2020-256842b4a8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-256842b4a8

Comment 11 Fedora Update System 2020-01-07 08:06:47 UTC
FEDORA-EPEL-2020-71cb60255e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-71cb60255e

Comment 12 Fedora Update System 2020-01-08 11:19:40 UTC
python-email-validator-1.0.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-256842b4a8

Comment 13 Fedora Update System 2020-01-08 11:20:47 UTC
python-email-validator-1.0.5-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-71cb60255e

Comment 14 Fedora Update System 2020-01-08 14:15:51 UTC
python-email-validator-1.0.5-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f147077561

Comment 15 Fedora Update System 2020-01-16 22:29:48 UTC
python-email-validator-1.0.5-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-01-17 05:05:37 UTC
python-email-validator-1.0.5-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-01-24 17:42:55 UTC
python-email-validator-1.0.5-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.